#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) makefiles
	$(MAKE) -C doc tools.html dtd.html formation_doc.pdf CHARTE=gfdl

override_dh_auto_clean:
	[ ! -f doc/Makefile ] || $(MAKE) realclean
	[ ! -f Makefile ] || $(MAKE) cleanmakefiles
	-rm -f dtd/entities
	-rm -rf catalogue

override_dh_auto_install:
	install -D -m 0755 bin/setup debian/logidee-tools/usr/bin/setup-logidee-tools

override_dh_install:
	dh_install
	rm -f debian/logidee-tools/usr/share/logidee-tools/dtd/entities

override_dh_auto_test:
	# Not supported by the upstream Makefile
